cascading.stats

## Class FlowSliceStats.FlowSliceAttempt

- java.lang.Object
- - cascading.stats.FlowSliceStats.FlowSliceAttempt

- Enclosing class:
    FlowSliceStats<K extends java.lang.Enum>

      public abstract static class FlowSliceStats.FlowSliceAttempt
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowSliceStats.FlowSliceAttempt()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `getEventId()`
    `abstract java.lang.String` | `getProcessAttemptID()`
    `abstract int` | `getProcessDuration()`
    `abstract java.lang.String` | `getProcessHostname()`
    `java.lang.String` | `getProcessID()`
    `abstract java.lang.String` | `getProcessStatus()`
    `abstract CascadingStats.Status` | `getStatus()`
    `abstract java.lang.String` | `getStatusURL()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowSliceStats.FlowSliceAttempt

          public FlowSliceStats.FlowSliceAttempt()

  - ### Method Detail

    - #### getProcessID

          public java.lang.String getProcessID()

    - #### getProcessAttemptID

          public abstract java.lang.String getProcessAttemptID()

    - #### getEventId

          public abstract int getEventId()

    - #### getProcessDuration

          public abstract int getProcessDuration()

    - #### getProcessStatus

          public abstract java.lang.String getProcessStatus()

    - #### getStatusURL

          public abstract java.lang.String getStatusURL()

    - #### getStatus

          public abstract CascadingStats.Status getStatus()

    - #### getProcessHostname

          public abstract java.lang.String getProcessHostname()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.